Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Retrieve a single message by its WhatsApp message ID (WAMID).
cURL
curl --request GET \ --url https://api.kapso.ai/platform/v1/whatsapp/messages/{message_id} \ --header 'X-API-Key: <api-key>'
{ "data": { "id": "wamid.HBgMMTIzNDU2Nzg5MBUCABIYGTA5RTlCQkI2NTI3", "timestamp": "1705395000", "type": "text", "from": "14155550123", "text": { "body": "Hello, I need help with my order" }, "kapso": { "direction": "inbound", "status": "read", "processing_status": "processed", "origin": "cloud_api", "phone_number": "14155550123", "phone_number_id": "123456789012345", "has_media": false, "whatsapp_conversation_id": "c63ced48-1283-4d55-8c8d-930f525aa0e5", "contact_name": "Alicia", "content": "Hello, I need help with my order", "statuses": [ { "id": "wamid.HBgMMTIzNDU2Nzg5MBUCABIYGTA5RTlCQkI2NTI3", "status": "delivered", "timestamp": "1705395005", "recipient_id": "14155550123" }, { "id": "wamid.HBgMMTIzNDU2Nzg5MBUCABIYGTA5RTlCQkI2NTI3", "status": "read", "timestamp": "1705395300", "recipient_id": "14155550123" } ] } } }
WhatsApp message ID (WAMID)
Message details
WhatsApp message in Meta-compatible format with Kapso extensions. The structure mirrors Meta's webhook payload format.
Show child attributes
Was this page helpful?